<?xml version="1.0"  encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
xmlns:f="http://java.sun.com/jsf/core"
xmlns:h="http://java.sun.com/jsf/html"
xmlns:ui="http://java.sun.com/jsf/facelets"
xmlns:p="http://primefaces.org/ui" xmlns:th="http://www.thymeleaf.org"
xmlns:tiles="http://www.thymeleaf.org">

	<f:view>
		<h:head>
			<title>Sistema de Informacion Medico Operativo Central</title>
			<h:outputStylesheet name="css/simocentral.css" />
			<f:loadBundle basename="bundle.index.Message" var="msg" />
			<h:outputScript name="js/simoScript.js" />
		</h:head>

		<h:body class="background_gris_oscuro">
			<script>
		
			$(document).ready(function(){			 					 	
				
				salto();
			 	
			});
			

			function salto(){
				document.getElementById('panelLogin:user').focus();
				btn_click('#panelLogin');
				valkeyET_changefoco('#panelLogin\\:user','panelLogin:pass');
				valkeyET_changefoco('#panelLogin\\:pass','panelLogin:btnEntrar');
			}
			</script>

			<h:form id="panelLogin" name="f" method="post">

				<p:growl id="growl" sticky="true" life="4000" autoUpdate="true" />
				<p:panelGrid styleClass="noBorder ancho_100 background_gris_oscuro">
					<p:row styleClass="noBorder">
						<p:column styleClass="ancho_10 background_gris_oscuro noBorder"
						style="height:92px;"></p:column>
						<p:column
						styleClass="ancho_40 align_l background_gris_oscuro noBorder">
							<h:graphicImage value="/img/gobierno.png" styleClass="resize_img"></h:graphicImage>
						</p:column>
						<p:column
						styleClass="ancho_40 align_r background_gris_oscuro noBorder">
							<h:graphicImage value="/img/imss_header_blanco.png"
							styleClass="resize_img"></h:graphicImage>
						</p:column>
						<p:column styleClass="ancho_10 background_gris_oscuro noBorder"></p:column>
					</p:row>
				</p:panelGrid>

				<hr class="lineaSeparacion">
				</hr>
				<p style="padding-top: 30px;"></p>
				<div class="align_c">
					<p:outputLabel value="#{msg['titulo_acceso']}"
					class="tituloHeaderPre " />
				</div>

				<div class="background_img_portada">
					<div class="espacio_vertical espacio_horizontal"></div>
					<p:panelGrid styleClass="noBorder ancho_100 background_img_none">
						<p:row styleClass="noBorder background_img_none">
							<p:column styleClass="ancho_50 noBorder background_img_none"></p:column>
							<p:column
							styleClass="ancho_5 noBorder background_img_none align_r">
								<p:outputLabel for="user" value="#{msg['lg_usuario']}"
								class="espacio_vertical" />
							</p:column>
							<p:column styleClass="ancho_15 noBorder background_img_none">
								<p:inputText id="user" value="#{login.username}" name="user" tabindex="1"
								required="true"  requiredMessage="#{msg['me01_requerido_user']}"/>
							</p:column>

							<p:column
							styleClass="ancho_30 noBorder background_img_none align_l"></p:column>
						</p:row>
						<p:row styleClass="noBorder background_img_none">
							<p:column styleClass="noBorder background_img_none"></p:column>

							<p:column styleClass="noBorder background_img_none">
								<p:outputLabel for="pass" value="#{msg['lg_contrasena']}" />
							</p:column>
							<p:column styleClass="noBorder background_img_none">
								<p:password id="pass" value="#{login.password}" name="pass" tabindex="2"
								required="true" requiredMessage="#{msg['me01_requerido_pass']}"></p:password>
							</p:column>

							<p:column styleClass="noBorder background_img_none">
								<p:commandButton action="#{login.login}" id="btnEntrar" tabindex="3"
								value="#{msg['lg_entrar']}" style="margin-right:20px;"
								update="panelLogin" oncomplete="salto();"></p:commandButton>
							</p:column>
						</p:row>
					</p:panelGrid>
				</div>

				<hr class="lineaSeparacion">
				</hr>

				<div class="align_c">

					<p:outputLabel value="#{msg['lg_footer']}" class="tituloFooterPre" />

				</div>

			</h:form>

		</h:body>
	</f:view>

</html>
